package cn.estsh.i3plus.core.apiservice.controller;

import cn.estsh.i3plus.core.api.iservice.busi.ITestTransService;
import cn.estsh.i3plus.platform.common.util.PlatformConstWords;
import cn.estsh.impp.framework.base.controller.CoreBaseController;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description : 对事务以及entityManager的操作演示
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-04-29 17:20
 * @Modify:
 **/
@RestController
@Api(description = "对事务以及entityManager的操作演示")
@RequestMapping(PlatformConstWords.BASE_URL + "/demo-trans")
public class DemoTransactionController extends CoreBaseController {
    private static final Logger LOGGER = LoggerFactory.getLogger(DemoTransactionController.class);

    @Autowired
    private ITestTransService transService;

    /**
     * dao混合调用
     *
     * @param type 调用参数
     * @param name 名称
     * @return 处理结果
     */
    @PostMapping("/test1")
    @ApiOperation(value = "dao混合调用")
    public ResultBean transTest1(int type, String name) {
        transService.testListTran(type, name);

        return ResultBean.success("测试成功");
    }

    /**
     * dao混合调用2
     *
     * @param type 调用参数
     * @param name 名称
     * @return 处理结果
     */
    @PostMapping("/test2")
    @ApiOperation(value = "dao混合调用2")
    public ResultBean transTest2(int type, String name) {
        transService.testListTranSec(type, name);

        return ResultBean.success("测试成功");
    }
}
