package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ITestTransService;
import cn.estsh.i3plus.core.apiservice.dao.ITestTransDao;
import cn.estsh.i3plus.core.apiservice.dao.ITransDaoSec;
import cn.estsh.i3plus.pojo.platform.bean.SysDepartment;
import cn.estsh.i3plus.pojo.platform.bean.SysTool;
import cn.estsh.i3plus.pojo.platform.bean.SysUser;
import cn.estsh.i3plus.pojo.platform.bean.SysUserInfo;
import cn.estsh.i3plus.pojo.platform.repository.SysDepartmentRepository;
import cn.estsh.i3plus.pojo.platform.repository.SysUserInfoRepository;
import cn.estsh.i3plus.pojo.platform.repository.SysUserRepository;
import com.netflix.discovery.converters.Auto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2019-04-29 17:18
 * @Modify:
 **/
@Service
public class TestTransService implements ITestTransService {

    @Autowired
    private SysDepartmentRepository sysDepartmentRDao;

    @Autowired
    private SysUserInfoRepository sysUserInfoRDao;

    @Autowired
    private SysUserRepository sysUerRDao;

    @Autowired
    private ITestTransDao testTransDao;

    @Autowired
    private ITransDaoSec testTransSecDao;

    @Override
    public void testListTran(int type,String name) {
        if(type == 1) {
            List<SysUserInfo> userList = testTransDao.listUser(name);
            System.out.println("===userList===" + userList.size());

            System.out.println("方式一：RDAO + dao");
            List<SysDepartment> depList = sysDepartmentRDao.findByProperty("name", name);
            System.out.println("===depList===" + depList.size());
        }else if(type == 2) {
            System.out.println("方式一2：RDAO + dao");
            List<SysDepartment> depList = sysDepartmentRDao.findByProperty("name", name);
            System.out.println("===depList===" + depList.size());

            List<SysTool> toolList = testTransSecDao.findByName(name);
            System.out.println("===toolList===" + toolList.size());
        }else if(type == 3){
            System.out.println("方式三：RDAO + idao-query");
            List<SysDepartment> depList = sysDepartmentRDao.findByProperty("name",name);
            System.out.println("===depList===" + depList.size());

            List<SysTool> toolList = testTransSecDao.findByName(name);
            System.out.println("===toolList===" + toolList.size());
        }else if(type == 4){
            System.out.println("方式四：dao + idao");
            List<SysDepartment> depList = sysDepartmentRDao.findByProperty("name",name);
            System.out.println("===depList===" + depList.size());

            List<SysTool> toolList = testTransSecDao.findByName(name);
            System.out.println("===toolList===" + toolList.size());
        }else if(type == 5){
            System.out.println("方式五：dao + idao-query");
            List<SysDepartment> depList = sysDepartmentRDao.findByProperty("name",name);
            System.out.println("===depList===" + depList.size());

            List<SysTool> toolList = testTransSecDao.findByName(name);
            System.out.println("===toolList===" + toolList.size());
        }else if(type == 6) {
            System.out.println("方式六：主键重复");
            SysDepartment dep = sysDepartmentRDao.getByProperty("name", name);
            System.out.println(dep.getId() + "===dep===" + dep);

            SysUserInfo userinfo = testTransDao.getUser(name);
            System.out.println(userinfo.getId() + "===userList===" + userinfo);
        }else if(type == 7) {
            SysUserInfo userinfo = testTransDao.getUser(name);
            System.out.println(userinfo.getId() + "===userList===" + userinfo);

            SysTool sysTool = testTransDao.getSysTool(name);
            System.out.println(sysTool.getId() + "===sysTool===" + sysTool);
        }else if(type == 8) {
            SysUserInfo userinfo = testTransDao.getUser(name);
            System.out.println(userinfo.getId() + "===userinfo===" + userinfo);
            List userinfoList = testTransDao.listUser(name);
            System.out.println("===userList===" + userinfoList);

            SysTool sysTool = testTransDao.getSysTool(name);
            System.out.println(sysTool.getId() + "===sysTool===" + sysTool);
            List sysToolList = testTransDao.listSysTool(name);
            System.out.println("===sysToolList===" + sysToolList);
        }else if(type == 9) {
            SysUserInfo userinfo = sysUserInfoRDao.getByProperty("name",name);
            System.out.println(userinfo.getId() + "===userinfo===" + userinfo);

            SysTool sysTool = testTransDao.getSysTool(name);
            System.out.println(sysTool.getId() + "===sysTool===" + sysTool);

            SysDepartment sysDepartment = sysDepartmentRDao.getByProperty("name",name);
            System.out.println(sysDepartment.getId() + "===sysDepartment===" + sysDepartment);

            SysUser user = sysUerRDao.getByProperty("userName",name);
            System.out.println(user.getId() + "===userName===" + user);

            List userinfoList = testTransDao.listUser(name);
            System.out.println("===userList===" + userinfoList);
            List sysToolList = testTransDao.listSysTool(name);
            System.out.println("===sysToolList===" + sysToolList);
        } else if(type == 10) {
            SysUserInfo userinfo = sysUserInfoRDao.getByProperty("name",name);
            System.out.println(userinfo.getId() + "===userinfo===" + userinfo);

            SysDepartment sysDepartment = sysDepartmentRDao.getByProperty("name",name);
            System.out.println(sysDepartment.getId() + "===sysDepartment===" + sysDepartment);

            SysUser user = sysUerRDao.getByProperty("userName",name);
            System.out.println(user.getId() + "===userName===" + user);
        }
    }

    @Override
    public void testListTranSec(int type,String name) {

    }
}
